//- isInt (determines whether or not a string can be considered an integer)
function isInt(%string)
{
   return (%string $= mFloatLength(%string,0));
}

// brickImage.projectile = "";

$MC::CenterChunkX = 100;
$MC::CenterChunkY = 100;

$MC::GlobalBlockOffsetZ = 0.5;

exec("./lib/perlin.cs");

exec("./src/support.cs");
exec("./src/player.cs");
exec("./src/footsteps.cs");

exec("./src/world.cs");
exec("./src/biome.cs");
exec("./src/clear.cs");

exec("./src/bricks.cs" );
exec("./src/bricks_special.cs" );

exec("./src/chunkman/main.cs");
exec("./src/chunkman/generator.cs");

function initWorld(%name, %seed) {
	if (isObject(MCWorld))
	{
		return;
	}

	MCWorld(%name, %seed);
	MCWOrld.createSpawnRegion();
}

package mcPack {
	function GameConnection::getSpawnPoint(%this) {
		return getDimensionSpawn(0);
	}
};

activatePackage(mcPack);
